ListRegistryRecords
Lists the registry records within a registry, with optional filtering by name, status, and record type
Request Syntax
POST /registries/registryId/records-list HTTP/1.1
Content-type: application/json
{
"filters": [
{
"name": "string",
"values": [ "string" ]
}
],
"maxResults": number,
"nextToken": "string"
}
URI Request Parameters
The request uses the following URI parameters.
- registryId
-
The identifier of the registry to list records from (ARN or ID)
Length Constraints: Minimum length of 1. Maximum length of 2048.
Pattern:
(arn:aws(-[^:]+)?:agent-registry:[a-z0-9-]+:[0-9]{12}:registry/)?[a-zA-Z0-9]{12,16}Required: Yes
Request Body
The request accepts the following data in JSON format.
- filters
-
Filters to apply to the registry record list
Type: Array of RegistryRecordFilter objects
Array Members: Minimum number of 0 items. Maximum number of 10 items.
Required: No
- maxResults
-
Maximum number of records to return
Type: Integer
Valid Range: Minimum value of 1. Maximum value of 100.
Required: No
- nextToken
-
Token for pagination
Type: String
Length Constraints: Minimum length of 1. Maximum length of 2048.
Pattern:
\S*Required: No
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"nextToken": "string",
"registryRecords": [
{
"createdAt": "string",
"description": "string",
"displayName": "string",
"name": "string",
"recordArn": "string",
"recordId": "string",
"recordType": "string",
"recordVersion": "string",
"registryArn": "string",
"status": "string",
"updatedAt": "string"
}
]
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- nextToken
-
Token for next page of results
Type: String
Length Constraints: Minimum length of 1. Maximum length of 2048.
Pattern:
\S* - registryRecords
-
List of registry record summaries
Type: Array of RegistryRecordSummary objects
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
The caller is not authorized to perform the requested action.
HTTP Status Code: 403
- ConflictException
-
The request conflicts with the current state of the resource.
HTTP Status Code: 409
- InternalServerException
-
The request failed due to an unexpected internal error; the caller may retry.
HTTP Status Code: 500
- ResourceNotFoundException
-
The requested resource was not found.
HTTP Status Code: 404
- ThrottlingException
-
The request was denied due to request throttling; the caller may retry after a delay.
HTTP Status Code: 429
- ValidationException
-
The request failed validation of one or more input fields.
- fieldList
-
The list of input fields that failed validation.
- reason
-
The reason the request failed validation.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: